Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib
Class TilesBodyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.tiles.jsp.taglib.TilesBodyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  InitContainerTag

Deprecated. Since simple style of tags is used, this class is useless.

    @Deprecated
    public abstract class TilesBodyTag

extends javax.servlet.jsp.tagext.BodyTagSupport
implements javax.servlet.jsp.tagext.TryCatchFinally

An abstract common base class to extend for all Tiles JSP tag handlers which access body content. Defines useful life cycle extension points.

Since:
  2.1.1
Version:
  $Rev: 783101 $ $Date: 2009-06-09 21:27:26 +0200 (mar, 09 giu 2009) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TilesBodyTag()` Deprecated.

Method Summary
`void` | `doCatch(java.lang.Throwable throwable)` Deprecated. Default no-op implementation, but overrideable if needed.
`void` | `doFinally()` Deprecated. Called after doEndTag().
`void` | `release()` Deprecated. Release any per-instance resources, releasing any resources or state before this tag instance is disposed.
`protected void` | `reset()` Deprecated. Release any per-invocation resources, resetting any resources or state that should be cleared between successive invocations of `Tag.doEndTag()` and `Tag.doStartTag()`.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### TilesBodyTag

    public TilesBodyTag()

  Deprecated.

Method Detail

### doCatch

    public void doCatch(java.lang.Throwable throwable)
                 throws java.lang.Throwable

  Deprecated.
  Default no-op implementation, but overrideable if needed.

  Specified by:
    `doCatch` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
  Parameters:
    `throwable` - The throwable object.
  Throws:
    `java.lang.Throwable` - The throwable object itself, by default.
  See Also:
    `TryCatchFinally.doCatch(Throwable)`

### doFinally

    public void doFinally()

  Deprecated.
  Called after doEndTag(). This common implementation calls reset() to release any per-invocation resources.

  Specified by:
    `doFinally` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
  See Also:
    `TryCatchFinally.doFinally()`

### reset

    protected void reset()

  Deprecated.
  Release any per-invocation resources, resetting any resources or state that should be cleared between successive invocations of `Tag.doEndTag()` and `Tag.doStartTag()`.

### release

    public void release()

  Deprecated.
  Release any per-instance resources, releasing any resources or state before this tag instance is disposed.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  See Also:
    `Tag.release()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.